PositionResolver.AverageResolver (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.PositionResolver.AverageResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Class PositionResolver.AverageResolver

    java.lang.Object
      org.biojavax.bio.seq.PositionResolver.AverageResolver

All Implemented Interfaces:
  PositionResolver

Enclosing interface:
  PositionResolver

    public static class PositionResolver.AverageResolver

extends Object
implements PositionResolver

The minimal resolver returns the base which provides the average range, halfway between maximal and minimal.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.seq.PositionResolver
`PositionResolver.AverageResolver, PositionResolver.MaximalResolver, PositionResolver.MinimalResolver`

Constructor Summary
`PositionResolver.AverageResolver()`

Method Summary
`int` | `getMax(Position e)` Resolves the maximum possible base for this position. ALWAYS RETURNS e.getStart()+e.getEnd() / 2
`int` | `getMin(Position s)` Resolves the minimum possible base for this position. ALWAYS RETURNS s.getStart()+s.getEnd() / 2

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionResolver.AverageResolver

    public PositionResolver.AverageResolver()

Method Detail

### getMin

    public int getMin(Position s)

  Resolves the minimum possible base for this position. ALWAYS RETURNS s.getStart()+s.getEnd() / 2

  Specified by:
    `getMin` in interface `PositionResolver`
  Parameters:
    `s` - the position to resolve
  Returns:
    the minimum possible base this resolver can return.

### getMax

    public int getMax(Position e)

  Resolves the maximum possible base for this position. ALWAYS RETURNS e.getStart()+e.getEnd() / 2

  Specified by:
    `getMax` in interface `PositionResolver`
  Parameters:
    `e` - the position to resolve
  Returns:
    the maximum possible base this resolver can return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD